Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.providers.authorization
Interface PredicateReaderMBean

All Known Subinterfaces:
  DefaultAuthorizerMBean, DefaultRoleMapperMBean, PredicateEditorMBean

public interface PredicateReaderMBean
extends weblogic.management.commo.StandardInterface

This MBean reads data about predicates and their arguments.

Method Summary
`java.lang.String[]` | `getPredArgumentAllowedValues(java.lang.String predicateClassName, int argumentIndex)` An array of allowable values for the predicate argument at specified index.
`int` | `getPredArgumentCount(java.lang.String predicateClassName)` Returns the number of arguments to the predicate.
`java.lang.String` | `getPredArgumentDefValue(java.lang.String predicateClassName, int argumentIndex)` The default value of the argument at specified index.
`java.lang.String` | `getPredArgumentDescription(java.lang.String predicateClassName, int argumentIndex)` A description of the argument at the specified index.
`java.lang.String` | `getPredArgumentMaxValue(java.lang.String predicateClassName, int argumentIndex)` The maximum value of the argument at specified index.
`java.lang.String` | `getPredArgumentMinValue(java.lang.String predicateClassName, int argumentIndex)` The minimum value of the argument at specified index.
`java.lang.String` | `getPredArgumentName(java.lang.String predicateClassName, int argumentIndex)` Returns the name of the argument at the specified index.
`java.lang.String` | `getPredArgumentType(java.lang.String predicateClassName, int argumentIndex)` Returns the type of the argument at the specified index.
`java.lang.String` | `getPredicateDescription(java.lang.String predicateClassName)` Returns a description of the predicate.
`java.lang.String` | `getPredicateDisplayName(java.lang.String predicateClassName)` Returns the display name of the predicate.
`java.lang.String[]` | `getRegisteredPredicates(java.lang.String nameFilter)` Returns an array of class names of the registered predicates.
`boolean` | `isPredArgumentValid(java.lang.String predicateClassName, int argumentIndex, java.lang.String value)` Specifies whether or not the value is valid for the predicate argument at specified index.
`boolean` | `isRegisteredPredicate(java.lang.String predicateClassName)` Specifies whether or not the predicate with specified class name is registered.

Methods inherited from interface weblogic.management.commo.StandardInterface
`wls_getAttributeTag, wls_getConstructorTag, wls_getDisplayName, wls_getInterfaceClassName, wls_getMBeanTag, wls_getNotificationTag, wls_getObjectName, wls_getOperationTag`

Method Detail

### isRegisteredPredicate

    public boolean isRegisteredPredicate(java.lang.String predicateClassName)

  Specifies whether or not the predicate with specified class name is registered.

  Parameters:
    `predicateClassName` - - The name of the Java class that implements the predicate.

### getRegisteredPredicates

    public java.lang.String[] getRegisteredPredicates(java.lang.String nameFilter)

  Returns an array of class names of the registered predicates.

  Parameters:
    `nameFilter` - - A string filter which can contain the wildcard (*) character and the backslash (/) escape character.

### getPredicateDisplayName

    public java.lang.String getPredicateDisplayName(java.lang.String predicateClassName)
                                             throws NotFoundException

  Returns the display name of the predicate.

  Parameters:
    `predicateClassName` - - The name of the Java class that implements the predicate.
  Throws:
    NotFoundException -

### getPredicateDescription

    public java.lang.String getPredicateDescription(java.lang.String predicateClassName)
                                             throws NotFoundException

  Returns a description of the predicate.

  Parameters:
    `predicateClassName` - - The name of the Java class that implements the predicate.
  Throws:
    NotFoundException -

### getPredArgumentCount

    public int getPredArgumentCount(java.lang.String predicateClassName)
                             throws NotFoundException

  Returns the number of arguments to the predicate.

  Parameters:
    `predicateClassName` - - The name of the Java class that implements the predicate.
  Throws:
    NotFoundException -

### getPredArgumentName

    public java.lang.String getPredArgumentName(java.lang.String predicateClassName,
                                                int argumentIndex)
                                         throws NotFoundException

  Returns the name of the argument at the specified index.

  Parameters:
    `predicateClassName` - - The name of the Java class that implements the predicate.
    `argumentIndex` - - The index of the predicate argument.
  Throws:
    NotFoundException -

### getPredArgumentType

    public java.lang.String getPredArgumentType(java.lang.String predicateClassName,
                                                int argumentIndex)
                                         throws NotFoundException

  Returns the type of the argument at the specified index.

  Parameters:
    `predicateClassName` - - The name of the Java class that implements the predicate.
    `argumentIndex` - - The index of the predicate argument.
  Throws:
    NotFoundException -

### getPredArgumentDescription

    public java.lang.String getPredArgumentDescription(java.lang.String predicateClassName,
                                                       int argumentIndex)
                                                throws NotFoundException

  A description of the argument at the specified index.

  Parameters:
    `predicateClassName` - - The name of the Java class that implements the predicate.
    `argumentIndex` - - The index of the predicate argument.
  Throws:
    NotFoundException -

### getPredArgumentDefValue

    public java.lang.String getPredArgumentDefValue(java.lang.String predicateClassName,
                                                    int argumentIndex)
                                             throws NotFoundException

  The default value of the argument at specified index.

  Parameters:
    `predicateClassName` - - The name of the Java class that implements the predicate.
    `argumentIndex` - - The index of the predicate argument.
  Throws:
    NotFoundException -

### getPredArgumentMinValue

    public java.lang.String getPredArgumentMinValue(java.lang.String predicateClassName,
                                                    int argumentIndex)
                                             throws NotFoundException

  The minimum value of the argument at specified index.

  Parameters:
    `predicateClassName` - - The name of the Java class that implements the predicate.
    `argumentIndex` - - The index of the predicate argument.
  Throws:
    NotFoundException -

### getPredArgumentMaxValue

    public java.lang.String getPredArgumentMaxValue(java.lang.String predicateClassName,
                                                    int argumentIndex)
                                             throws NotFoundException

  The maximum value of the argument at specified index.

  Parameters:
    `predicateClassName` - - The name of the Java class that implements the predicate.
    `argumentIndex` - - The index of the predicate argument.
  Throws:
    NotFoundException -

### getPredArgumentAllowedValues

    public java.lang.String[] getPredArgumentAllowedValues(java.lang.String predicateClassName,
                                                           int argumentIndex)
                                                    throws NotFoundException

  An array of allowable values for the predicate argument at specified index.

  Parameters:
    `predicateClassName` - - The name of the Java class that implements the predicate.
    `argumentIndex` - - The index of the predicate argument.
  Throws:
    NotFoundException -

### isPredArgumentValid

    public boolean isPredArgumentValid(java.lang.String predicateClassName,
                                       int argumentIndex,
                                       java.lang.String value)
                                throws NotFoundException

  Specifies whether or not the value is valid for the predicate argument at specified index.

  Parameters:
    `predicateClassName` - - The name of the Java class that implements the predicate.
    `argumentIndex` - - The index of the predicate argument.
    `value` - - A string representation of the predicate argument value.
  Throws:
    NotFoundException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference